---
layout: page
title: "Contributor Code of Conduct"
---
**Open Science Community Saudi Arabia** is part of the International Network of Open Science and Scholarship Communities (INOSC). While every community is unique, we share a set of **Guiding Principles** and adhere to a **Code of Conduct**. Please find **version 1.0** below.

## Guiding Principles
- Open Science/Scholarship Communities (OSCs) are bottom-up platforms by and for researchers to exchange knowledge and knowhow on open science practices.
- OSCs are inclusive 
  - Researchers are the target audience of OSCs, but students, researcher supporters, and others that are interested in (conducting) research are also welcome to join the community
  - No prior knowledge is required to be part of the community, nor are members in any way required to commit to certain open science/scholarship practices.
- OSCs organize, promote, and facilitate open science/scholarship events to (1) learn about and discuss open science/scholarship practices, (2) share open science/scholarship knowledge, and (3) build professional networks.
  - Events are open to both members and non-members, and are free-of-charge, if possible.
  - Attendees and organizers of events organized by OSCs should adhere to the Code of Conduct (see below)
- OSCs promote critical discussions of pro’s and con’s of open science/scholarship practices. We refrain from being normative or condescending, and do not tell others what to do. Respect for each others’ workflows and decisions in this regard is critical.

## Code of Conduct

Open Science/Scholarship Communities (OSCs) organize, promote, and facilitate open science events to enable all participants, members and non-members, to learn about, share, and discuss open science practices. The purpose of this Code of Conduct (CoC) is to enable an environment in which diverse individuals can collaborate and interact in mutual respect. We recognize a shared responsibility to create and maintain that environment for the benefit of all. Some behaviors, therefore, are specifically prohibited:
- Discriminating, racist, intimidating, harassing, lewd, demeaning, bullying, stalking, or threatening speech oractions.
- Any real or implied threat of physical harm
- Unwelcome sexual attention
- Unwelcome physical contact
- Sustained disruption of speakers or events (verbally or physically)
- Retaliation against an individual for reporting harassment or other unacceptable behaviors
- Retaliation against an individual for participating in the investigation of a report of harassment or otherunacceptable behaviors
- Advocating or encouraging any of the above behaviors
- Falsely reporting harassment or other unacceptable behaviors 

Critical examination of beliefs and view points does not, by itself, constitute hostile conduct or harassment. Similarly, use of sexual imagery or language in the context of a professional discussion might not constitute hostile conduct or harassment if necessary to the topic of discussion.

### Reporting

If someone makes you or anyone else feel unsafe or unwelcome, or if you believe a harassment problem exists, please report it as soon as possible to (one of) the Coordinator(s) of the OSC organizing the event [Batool Almarzouq](batool@liverpool.ac.uk) or [Abdullah Almarzouq](abadee2020@gmail.com), either in person or electronically (with the option to remain anonymous). If the person you should report to is the target of the complaint, you may contact the event organizers and/or the confidential advisor(s) of their employer. The target of the complaint will not be involved in handling or resolving the incident. Every code of conduct violation report will be treated with seriousness and care.

### Enforcement

Participants who are asked to stop any unacceptable behavior are expected to comply immediately. Community Coordinator(s) and event organizers retain the right to take appropriate actions, including: (i) mediation between complainant and alleged perpetrator(s), to reach an amicable resolution; (ii) issue a verbal warning; (iii) expel the offender(s) from the event (particularly if a participant's immediate safety is threatened); and/or, (iv) expel the offender(s) from the OSC. Community Coordinator(s) and event organizers will also discuss with the complainant whether they wish to contact the confidential advisor(s) at the affiliated University. The alleged perpetrator(s) will be notified of a complaint as soon as possible, and be given a chance to respond to the complaint. 

### Local addendum to the Guiding Principles and/or Code of Conduct

_The above mentioned Guiding Principles and Code of Conduct apply to all OSCs that are part of INOSC. Local OSCs that are part of INOSC are not allowed to alter, adjust, or remove any of these sections, or information from them. Alocal addendum to the Guiding Principles and/or the Code of Conduct is permitted, as long as none of the information specified in the addendum contradicts the Guiding Principles and/or Code of Conduct as dictated above. Anaddendum should be (1) the final section of the document or webpage that contains the Guiding Principles and Code of Conduct, and (2) be recognisable as such. That means the addendum should be placed under the header ‘Local addendum to the Guiding Principles and/or Code of Conduct)._

### References
This Code of Conduct was adapted from the following sources: Society for the Improvement of Psychological Science code of conduct, Geek Feminism wiki, American Library Association code of conduct, Community Covenant v1.0


{% include links.md %}
