[![DOI](https://zenodo.org/badge/337206479.svg)](https://zenodo.org/badge/latestdoi/337206479)

# Collaborating on Open Data Science Projects

This repository generates the corresponding lesson website from [The Carpentries](https://carpentries.org/) repertoire of lessons. 

**This workshop was delivered by Batool Almarzouq as part of Datathon workshop in Women in Data Science (WiDS2021 Saudi Arabia) on the 24th of Feb**

## Overview:

It is a collection of materials from [the Molecular Sciences Software Institute (MolSSI)](http://education.molssi.org/python-package-best-practices/), [the software carpentries](https://swcarpentry.github.io/git-novice/), [_the turing way_](https://the-turing-way.netlify.app/welcome.html), [coderefinery](https://coderefinery.org/) and [many others](https://github.com/BatoolMM/Collaborating-on-Open-Data-Science-Projects/blob/gh-pages/AUTHORS) to introduce Open Science practices to data scientists with an emphasis on version control.

This lesson should provide data scientists with the knowledge and tools necessary to apply their new skill set immediately to collaborate with other scientists in any project. In the beginning, the workshop will introduce open science practices. It will then describe how to develop and collaborate on code with another scientist, keep code synchronised, and solve conflicts that arise from that collaboration, licencing their works and making it citable.


## Contributing

We welcome all contributions to improve the lesson! The maintainer will do their best to help you if you have any
questions, concerns, or experience any difficulties along the way.

We'd like to ask you to familiarize yourself with our [Contribution Guide](CONTRIBUTING.md) and have a look at
the [more detailed guidelines][lesson-example] on proper formatting, ways to render the lesson locally, and even
how to write new episodes.


## Maintainer

Current maintainers of this lesson is Batool Almarzouq

## Authors

**None of these materials was prepared by the repository owner. It's a collection of lessons taken directly without any modification from the following authors:**

> - Greg Wilson: "Software Carpentry: Getting Scientists to Write Better
Code by Making Them More Productive".  Computing in Science &
Engineering, Nov-Dec 2006.

> - Greg Wilson: "Software Carpentry: Lessons Learned". arXiv:1307.5448,
July 2013.

> - Baker M. 1,500 scientists lift the lid on reproducibility. Nature. 2016 May 26;533(7604):452-4. [doi: 10.1038/533452a. PMID: 27225100.](https://pubmed.ncbi.nlm.nih.gov/27225100/)

> - Nash, J., Altarawy, D., Barnes, T., Ellis, S., Marin Rimoldi, E., Pritchard, B., & Smith, D. (2018). 
Best Practices in Python Package Development (Version 2020.12.0). The Molecular Sciences Software Institute. https://doi.org/10.34974/2H9M-0E15

> - The Turing Way Community, Becky Arnold, Louise Bowler, Sarah Gibson, Patricia Herterich, Rosie Higman, … Kirstie Whitaker. (2019, March 25). The Turing Way: A Handbook for Reproducible Data Science (Version v0.0.4). Zenodo. http://doi.org/10.5281/zenodo.3233986

> - The materials for the open science section section is taken directly from the [Open Research in the _turing way_](https://the-turing-way.netlify.app/reproducible-research/open.html).

> - The materials for [Become a champion of open (data) science episode](https://batoolmm.github.io/Collaborating-on-Open-Data-Science-Projects/02-opendata/index.html) is taken directly (with minor changes) from the [Introduction to Open Data Science with R workshop](https://carpentries-incubator.github.io/open-science-with-r/09-champion/index.html) in the [The Carpentries Incubator](https://github.com/carpentries-incubator/proposals/#the-carpentries-incubator). At the time of completing this workshop, [Marc Gallland](m.galland@uva.nl), [Tijs Bliek](M.Bliek@uva.nl) and [Stijn Van Hoey](stijnvanhoey@gmail.com) are listed as the authors of the lesson in The Carpentries Incubator.

> - The materials for the license section is taken directly from the [Version Control with Git lesson](https://swcarpentry.github.io/git-novice/11-licensing/index.html) by [the software carpentry](https://software-carpentry.org/).

> - The materials for Zenodo section is taken directly from the [Collaborating and sharing using GitHub without command line lesson](https://coderefinery.github.io/github-without-command-line/doi/) by [coderefinery](https://coderefinery.org/).**

> - The materials for "Intro to Version Control with Git, Using GitHub,  Code Collaboration using GitHub" were taken directly from [Python Package Best Practices lesson](http://education.molssi.org/python-package-best-practices/02-git/index.html) by the [Molecular Sciences Software Institute (MolSSI)](https://molssi.org/).**

A list of contributors to the lesson can also be found in [AUTHORS](AUTHORS)

## Citation

To cite this lesson, please use:

> Batool Almarzouq. (2021, February). Collaborating on Open Data Science Projects (Version v1.0). Zenodo. http://doi.org/10.5281/zenodo.4561139

[lesson-example]: https://carpentries.github.io/lesson-example
