---
layout: lesson
root: .  # Is the only page that doesn't follow the pattern /:path/index.html
permalink: index.html  # Is the only page that doesn't follow the pattern /:path/index.html
---

This lesson will be delivered as a part of WiDS Saudi Arabia. It is a collection of materials from [the Molecular Sciences Software Institute (MolSSI)](http://education.molssi.org/python-package-best-practices/), [the software carpentries](https://swcarpentry.github.io/git-novice/), [_the turing way_](https://the-turing-way.netlify.app/welcome.html), [coderefinery](https://coderefinery.org/) and [many others](https://github.com/BatoolMM/Collaborating-on-Open-Data-Science-Projects/blob/gh-pages/AUTHORS) to introduce Open Science practices to data scientists with an emphasis on version control.

This lesson should provide data scientists with the knowledge and tools necessary to apply their new skill set immediately to collaborate with other scientists in any project. In the beginning, the workshop will introduce open science practices. It will then describe how to develop and collaborate on code with another scientist, keep code synchronised, and solve conflicts that arise from that collaboration, licencing their works and making it citable.

None of these materials was prepared by the repository owner. It's a collection of lessons taken directly without any modification from these [authors](https://github.com/BatoolMM/Collaborating-on-Open-Data-Science-Projects/blob/gh-pages/AUTHORS). This lesson is under continual development, please report issues to the [workshop repository](BatoolMM/Collaborating-on-Open-Data-Science-Projects). If you see a subject you would like to contribute to, submit a pull request!

{% include links.md %}
